<nz-content>
    <div class="flex flex-col p-0">
        <div nz-row class="items-center p-2">
            <div nz-col nzSpan="12">
                <i class="fas fa-list-alt text-green-500 text-lg"></i>&nbsp;
                Patien List
            </div>
            <div nz-col nzSpan="12" class="flex justify-end items-center">
                <!-- <div #exemplo>hllloooo{{myEvent}}***{{deviceType}}</div> -->
                <div nz-col nzSpan="24" class="flex justify-end items-center">
                    <!-- <div #exemplo>hllloooo{{myEvent}}***{{deviceType}}</div> -->
                    <nz-space>
                        <!-- <nz-select (ngModelChange)="onSelectWard($event)" style="width: 220px;" nzPlaceHolder="เลือก Ward"
                          *nzSpaceItem [(ngModel)]="dataWard">
                          <nz-option *ngFor="let ward of wards" [nzValue]="ward" [nzLabel]="ward.name"></nz-option>
                        </nz-select> -->
                        <nz-input-group *nzSpaceItem nzSearch [nzAddOnAfter]="suffixIconButton">
                          <input type="text" name="query" [(ngModel)]="query" nz-input placeholder="ค้นหา..." />
                        </nz-input-group>
                        <ng-template #suffixIconButton>
                          <nz-button-group>
                            <button nz-button nzType="primary" nzSearch [disabled]="!query" (click)="doSearch()"><span nz-icon
                                nzType="search"></span></button>
                            <button nz-button nzType="primary" (click)="refresh()"><span nz-icon nzType="reload"></span></button>
                          </nz-button-group>
                        </ng-template>
                      </nz-space>
                </div>
            </div>
        </div>
        <div class="inner-content p-5">
            <div class="flex flex-col gap-y-5 h-full pl-10 pr-10 pt-5">
                <div class="flex w-full h-full bg-slate-200 rounded-2xl p-4 shadow" *ngFor="let p of patientList; let i = index">
                    <div class="flex-none w-44 text-gray-600 bg-slate-100 rounded-2xl" *ngIf="!p.hideLeft" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                        <div class="flex flex-row gap-x-4 content-center justify-center h-fit w-full">
                            <div class="flex items-center content-center justify-center ">
                                <button class="rounded-full bg-indigo-100  border-indigo-600 border-2 w-16 h-16 " (click)="navigatePatientInfo(p.admit_id)">
                                    <i class="fa-regular fa-address-book text-indigo-600 text-[28px]"></i>
                                </button>
                            </div>
                            <div class="flex items-center content-center justify-center">
                                <button class="rounded-full bg-sky-100  border-sky-600 border-2 w-16 h-16 " (click)="navigateDoctorOrder(p.admit_id)">
                                    <i class="fa-solid fa-user-doctor text-sky-600 text-[28px]"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="shrink w-full h-full">
                        <div class="flex content-center items-center justify-center h-fit">
                            <div class="flex-none hidden md:inline-flex lg:inline-flex xl:inline-flex xxl:inline-flex w-35 h-full p-0 content-center" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                                <button class="content-center items-center w-full h-full" (click)="openPanelLeft(i)" *ngIf="p.hideLeft">
                                    <div class="grid place-items-center place-content-center  h-14 w-14 rounded-full content-center items-center bg-gradient-to-r from-black to-indigo-500 opacity-10">
                                        <i class="fa-solid fa-chevron-right align-middle text-4xl w-10 h-full text-slate-400 hover:text-white "></i>
                                    </div>
                                </button>
                                <button class="content-center items-center w-full h-full" (click)="openPanelLeft2(i)" *ngIf="!p.hideLeft">
                                    <div class="grid place-items-center place-content-center  h-14 w-14 rounded-full content-center items-center bg-gradient-to-l from-black to-indigo-500 opacity-10">
                                        <i class="fa-solid fa-chevron-left align-middle text-4xl w-10 h-full text-slate-400 hover:text-white "></i>
                                    </div>
                                </button>
                            </div>
                            <div class="shrink w-full h-fit pl-3 pr-3 pb-0 pt-0 example-boundary">
                                <div class="flex flex-col h-full" cdkDragBoundary=".example-boundary"
                                    cdkDrag
                                    (cdkDragStarted)="onDragStarted($event,i)"
                                    (cdkDragEnded)="onDragEnded($event,i)">
                                    <div class="flex h-full">
                                        <div class="flex-none">
                                            <div class="flex items-center">
                                                <button class="rounded-full border-2 p-2 bg-teal-500 w-12 h-12  border-teal-500">
                                                    <i class="fa-solid fa-user text-white text-2xl "></i>
                                                </button>
                                            </div>
                                        </div>
                                        <div class="grow w-fit h-full align-middle items-center">
                                            <div class="flex flex-col h-fit align-middle">
                                                <div class="flex justify-between">
                                                    <div class="flex flex-wrap w-3/4 gap-x-3 pl-3 align-middle content-center h-full">
                                                        <div class="font-bold text-gray-600 align-middle content-center"> HN :</div><div> {{p.hn}}</div>
                                                        <div class="font-bold text-gray-600"> AN :</div><div> {{p.an}}</div>
                                                        <div class="font-bold text-gray-600"> ชื่อ-สกุล :</div><div> {{p.title}}{{p.fname}} {{p.lname}}</div>
                                                        <div class="font-bold text-gray-600"> เพศ :</div><div> {{p.gender}}</div>
                                                        <div class="font-bold text-gray-600"> อายุ :</div><div> {{p.age}}</div>
                                                    </div>
                                                    <div class="flex w-1/4 justify-end">
                                                        <span class="bg-green-200 p-1 text-md w-fit h-fit round font-bold">เตียง : &nbsp;{{p.bed_number}}</span>
                                                    </div>
                                                </div>

                                                <div class="flex flex-wrap gap-x-3 pl-3 h-full">
                                                    <div class="font-bold text-gray-600"> แพทย์ :</div><div> {{p.doctor_title}}{{p.doctor_fname}} {{p.doctor_lname}}</div>
                                                    <div class="font-bold text-gray-600"> เบอร์โทร :</div><div> {{queryParamsData.phone}}</div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="flex flex-row content-center" *ngIf="deviceType =='xs' || deviceType=='sm'">
                                        <div class="flex justify-center w-full gap-x-4">
                                            <button class="p-4  w-10 h-10" (click)="navigatePatientInfo(p.an)">

                                                <i class="fa-regular fa-address-book text-indigo-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  w-10 h-10" (click)="navigateDoctorOrder(p.an)">
                                                <i class="fa-solid fa-user-doctor text-sky-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  w-10 h-10"  (click)="navigateAdmisstionNote(p.an)">
                                                <i class="fa-solid fa-file-pen text-rose-600 text-[28px]"></i>

                                            </button>
                                            <button class="p-4  w-10 h-10" (click)="navigateProgressNote(p.an)">
                                                <i class="fa-solid fa-clipboard-list text-yellow-600 text-[28px]"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="flex-none hidden md:inline-flex lg:inline-flex xl:inline-flex xxl:inline-flex w-35 h-full p-0 content-center" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                                <button class="content-center items-center w-full h-full" (click)="openPanelRight(i)" *ngIf="p.hideRight">
                                    <div class="grid place-items-center place-content-center  h-14 w-14 rounded-full content-center items-center bg-gradient-to-l from-black to-indigo-500 opacity-10">
                                        <i class="fa-solid fa-chevron-left align-middle text-4xl w-10 h-full text-slate-400 hover:text-white "></i>
                                    </div>
                                </button>
                                <button class="content-center items-center w-full h-full" (click)="openPanelRight2(i)" *ngIf="!p.hideRight">
                                    <div class="grid place-items-center place-content-center  h-14 w-14 rounded-full content-center items-center bg-gradient-to-r from-black to-indigo-500 opacity-10">
                                        <i class="fa-solid fa-chevron-right align-middle text-4xl w-10 h-full text-slate-400 hover:text-white "></i>
                                    </div>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="flex-none w-44 text-gray-600 bg-slate-100 rounded-2xl" *ngIf="!p.hideRight" [ngClass]="deviceType =='xs' || deviceType=='sm' ? 'hidden' : ''">
                        <div class="flex flex-row gap-x-4 content-center justify-center h-full w-full">
                            <div class="flex items-center content-center justify-center ">
                                <button class="rounded-full bg-rose-100  border-rose-600 border-2 w-16 h-16 "  (click)="navigateAdmisstionNote(p.admit_id)">
                                    <i class="fa-solid fa-file-pen text-rose-600 text-[28px]"></i>
                                </button>
                            </div>
                            <div class="flex items-center content-center justify-center">
                                <button class="rounded-full bg-yellow-100  border-yellow-600 border-2 w-16 h-16 " (click)="navigateProgressNote(p.an)">
                                    <i class="fa-solid fa-clipboard-list text-yellow-600 text-[28px]"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</nz-content>